<!-- 
  CODE IS MODIFIED FROM
  https://www.w3schools.com/css/tryit.asp?filename=trycss_table_fancy
  https://www.w3schools.com/css/css_table.asp
-->

<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="UTF-8" />
  <title>Friend List</title>

<style>

/* This is the CSS portion inline in the document */

/* This is the main ID tag, which selects the ID customers */
#customers {
  font-family: Arial, Helvetica, sans-serif;
  /* Change the border to only one line (collapsed from 2 to 1) */
  border-collapse: collapse;
  /* Set to take 100% of viewport width */
  width: 100%;
}

/* Takes the sub tag of customer td and th and apply the style */
#customers td, #customers th {
  border: 1px solid #ddd;
  padding: 8px;
}

/* for every tr which is a child of customers, if its defined on even order, set a different bg color */
#customers tr:nth-child(even){background-color: #f2f2f2;}

/* for every tr which is a child of customer, if hovered, change bg color */
#customers tr:hover {background-color: #ddd;}

/* eventhough above already has th, this will override or add to it */
/* extra note, padding is distance between element within with the container border */
#customers th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #3d705d;
  color: white;
}
</style>

</head>
<body>

<table id="customers">
  <tr>
    <th>Receiver)</th>
    <th>Sender</th>
    <th>Title</th>
    <th>Message</th>
  </tr>
  {% if notes %}
        {% for note in notes %}
        <tr>
            <td>{{ note.To }}</td>
            <td>{{ note.From }}</td>
            <td>{{ note.Title }}</td>
            <td>{{ note.Message }}</td>
        </tr>
        {% endfor %}
      {% endif %}
</table>

</body>
</html>

